package be.cylab.java.wowa.training;

import info.debatty.java.aggregation.WOWA;

import java.util.List;

/**
 * Child class Solution.
 * Fitness criterion is AUC
 */
public class SolutionAUC extends AbstractSolution {
    /**
     * Default constructor.
     * @param weight_number
     */
    public SolutionAUC(final int weight_number) {
        super(weight_number);
    }

    final void computeScoreTo(
            final List<double[]> data,
            final double[] expected) {
        this.fitness_score = 0;
        this.fitness_score = -(Utils.computeAUC(this, data, expected));
    }
}
